changeset 1738:cdc277cf7b83

Don't add /dev/console to the native-compiler squashfs.
author Rob Landley <rob@landley.net>
date Fri, 20 Feb 2015 13:13:36 -0600
parents 1acbe7e78d9d
children 4ca4ddd185db
files sources/functions.sh
diffstat 1 files changed, 1 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/sources/functions.sh	Fri Feb 20 13:12:45 2015 -0600
+++ b/sources/functions.sh	Fri Feb 20 13:13:36 2015 -0600
@@ -428,9 +428,7 @@
 
   elif [ "$SYSIMAGE_TYPE" == "squashfs" ]
   then
-    mksquashfs "$1" "$2.sqf" -noappend -all-root \
-      ${FORK:+-no-progress} -p "/dev d 755 0 0" \
-      -p "/dev/console c 666 0 0 5 1" || dienow
+    mksquashfs "$1" "$2.sqf" -noappend -all-root ${FORK:+-no-progress} || dienow
   else
     echo "Unknown image type $SYSIMAGE_TYPE" >&2
     dienow